Subject: Re: bug#52896: 29.0.50; transient-mark-mode is set to a lot of 'only syms

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 Dec 2021 22:17:54 +0200

> From: Andrey Listopadov <[email-masked]>
> Date: Thu, 30 Dec 2021 23:02:13 +0300
> Cc: [email-masked]
> 
> > That's true, but in "emacs -Q", once I use a non-shifted command, the
> > value becomes just nil, as intended.
> 
> Here's how to reproduce this without expand-region in `emacs -Q'
> 
> 1. `M-x transient-mark-mode RET' - disabling tmm;
> 2. Shift-right on some word in the *scratch* buffer - initial `only'
> is consed to `transient-mark-mode';
> 3. `C-x C-x' `C-x C-x' `C-x C-x' to invoke the
> `exchange-point-and-mark' function several times;
> 4. `C-h v transient-mark-mode RET' - the value is `(only only only only only)'.

If you then perform enough non-shifted commands, the value goes back
to nil.  So I'm not sure I see the problem.